# Gimp.Vector3.prototype.cross_product

    function cross_product(vector2: Gimp.Vector3): Gimp.Vector3 {
        // Gjs wrapper for gimp_vector3_cross_product()
    }

Compute the cross product of two vectors. The result is a Gimp.Vector3 which is orthogonal to both vector1 and vector2. If vector1 and vector2 and parallel, the result will be the nul vector.

This function can be used to compute the normal of the plane defined by vector1 and vector2.

vector2

  a pointer to the second Gimp.Vector3.

Returns

  The cross product.